# NAME

Math::Polynomial::Chebyshev - Chebyshev polynomials of the first kind
Math::Polynomial::Chebyshev2 - Chebyshev polynomials of the second kind

# DESCRIPTION

This package extends Math::Polynomial, so each instance polynomial created by
these modules is a subclass of Math::Polynomial.

# INSTALLATION

To install this module, unpack the distribution file, and run the following
commands:

    perl Makefile.PL
    make
    make test
    make install

# BUGS

Please report any bugs through the web interface at
[https://rt.cpan.org/Ticket/Create.html?Queue=Math-Polynomial-Chebyshev](https://rt.cpan.org/Ticket/Create.html?Queue=Math-Polynomial-Chebyshev)
(requires login). We will be notified, and then you'll automatically be
notified of progress on your bug as I make changes.

# SUPPORT

After installing, you can find documentation for these modules with the
perldoc command.

    perldoc Math::Polynomial::Chebyshev
    perldoc Math::Polynomial::Chebyshev2

You can also look for information at:

- GitHub Source Repository

    [https://github.com/pjacklam/p5-Math-Polynomial-Chebyshev](https://github.com/pjacklam/p5-Math-Polynomial-Chebyshev)

- RT: CPAN's request tracker

    [https://rt.cpan.org/Public/Dist/Display.html?Name=Math-Polynomial-Chebyshev](https://rt.cpan.org/Public/Dist/Display.html?Name=Math-Polynomial-Chebyshev)

- CPAN Ratings

    [https://cpanratings.perl.org/dist/Math-Polynomial-Chebyshev](https://cpanratings.perl.org/dist/Math-Polynomial-Chebyshev)

- MetaCPAN

    [https://metacpan.org/release/Math-Polynomial-Chebyshev](https://metacpan.org/release/Math-Polynomial-Chebyshev)

- CPAN Testers Matrix

    [http://matrix.cpantesters.org/?dist=Math-Polynomial-Chebyshev](http://matrix.cpantesters.org/?dist=Math-Polynomial-Chebyshev)

# SEE ALSO

- The Perl module [Math::Polynomial](https://metacpan.org/pod/Math%3A%3APolynomial).
- The Wikipedia page [https://en.wikipedia.org/wiki/Chebyshev\_polynomials](https://en.wikipedia.org/wiki/Chebyshev_polynomials).

# LICENSE AND COPYRIGHT

Copyright (c) 2020,2022 Peter John Acklam.

This program is free software; you may redistribute it and/or modify it under
the same terms as Perl itself.

# AUTHOR

Peter John Acklam <pjacklam (at) gmail.com>.
